<!DOCTYPE html>
<html>    
 <head> <!-- Entête HTML --> 
   <meta charset="utf-8" />
   <title>Puissance</title>
 </head>
 <body>
 <?php
 define("WEB_EOL","<br/>");
 // --- on récupère les données ---
 $x=$_POST['x'] ;
 $n=$_POST['n'] ;
 // --- on traite les données ---
 $x=floatval($x);
 $n=intval($n);

 $res = 1    ;
 $compteur=0 ;
 while ($compteur != $n)
 {
   $res = $res * $x ;
   $compteur++      ;
 }
 echo "$x ** $n = $res".WEB_EOL;
 ?>
 </body>
</html>
